Bug 822977 - Python bindings missing
Python bindings missing
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 12:42 EDT by Florian Ludwig
Modified: 2014-08-12 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-12 11:47:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Ludwig 2012-05-18 12:42:51 EDT
Description of problem:
Scripts provided by the dia developers do not work because python bindings are not compiled.

Version-Release number of selected component (if applicable):
dia.x86_64                      1:0.97-6.fc16       @fedora

How reproducible:
python -c 'import dia'

Actual results:
ImportError: No module named dia

Expected results:
Comment 1 Gert Vervoort 2012-10-15 12:56:47 EDT
Also on Fedora 17 the python bindings are missing:

dia.x86_64                        1:0.97.1-3.fc17                        @fedora


[gert@jupiter tmp]$ python -c 'import dia'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named dia
[gert@jupiter tmp]$
Comment 2 Fedora End Of Life 2013-01-16 08:53:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:49:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Thomas Spura 2013-05-15 19:10:59 EDT
Reopening, as this is still the case on F18.

Please configure "--with-swig" and possibly "--with-python".
Comment 5 Fedora End Of Life 2013-12-21 10:02:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Gert Vervoort 2013-12-21 10:25:48 EST
Still the case in Fedora 19:

dia.x86_64                        1:0.97.2-5.fc19               installed       


[gert@jupiter ~]$ python -c 'import dia'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named dia
[gert@jupiter ~]$
Comment 7 Huzaifa S. Sidhpurwala 2014-08-12 11:47:06 EDT
The python plugin/binding has been disabled due to the following security issue:
https://bugzilla.redhat.com/show_bug.cgi?id=481551

I have opened an upstream bug to fix this at:
https://bugzilla.gnome.org/show_bug.cgi?id=734674

Once upstream fixes this, we can re-enable python bindings again.

Note You need to log in before you can comment on or make changes to this bug.